module SharedNote
  include Spinach::DSL

  Given 'I delete a comment' do
    sleep 1
    first(".js-note-delete").trigger("click")
  end

  Given 'I haven\'t written any comment text' do
    within(".js-main-target-form") do
      fill_in "note[note]", with: ""
    end
  end

  Given 'I leave a comment like "XML attached"' do
    within(".js-main-target-form") do
      fill_in "note[note]", with: "XML attached"
      click_button "Add Comment"
      sleep 0.05
    end
  end

  Given 'I preview a comment text like "Bug fixed :smile:"' do
    within(".js-main-target-form") do
      fill_in "note[note]", with: "Bug fixed :smile:"
      find(".js-note-preview-button").trigger("click")
    end
  end

  Given 'I submit the comment' do
    within(".js-main-target-form") do
      click_button "Add Comment"
    end
  end

  Given 'I write a comment like "Nice"' do
    within(".js-main-target-form") do
      fill_in "note[note]", with: "Nice"
    end
  end

  Then 'I should not see a comment saying "XML attached"' do
    page.should_not have_css(".note")
  end

  Then 'I should not see the cancel comment button' do
    within(".js-main-target-form") do
      should_not have_link("Cancel")
    end
  end

  Then 'I should not see the comment preview' do
    within(".js-main-target-form") do
      page.should have_css(".js-note-preview", visible: false)
    end
  end

  Then 'I should not see the comment preview button' do
    within(".js-main-target-form") do
      page.should have_css(".js-note-preview-button", visible: false)
    end
  end

  Then 'I should not see the comment text field' do
    within(".js-main-target-form") do
      page.should have_css(".js-note-text", visible: false)
    end
  end

  Then 'I should see a comment saying "XML attached"' do
    within(".note") do
      page.should have_content("XML attached")
    end
  end

  Then 'I should see an empty comment text field' do
    within(".js-main-target-form") do
      page.should have_field("note[note]", with: "")
    end
  end

  Then 'I should see the comment edit button' do
    within(".js-main-target-form") do
      page.should have_css(".js-note-edit-button", visible: true)
    end
  end

  Then 'I should see the comment preview' do
    within(".js-main-target-form") do
      page.should have_css(".js-note-preview", visible: true)
    end
  end

  Then 'I should see the comment preview button' do
    within(".js-main-target-form") do
      page.should have_css(".js-note-preview-button", visible: true)
    end
  end

  Then 'I should see comment "XML attached"' do
    within(".note") do
      page.should have_content("XML attached")
    end
  end
end
